#!/usr/bin/env python
import sys
import re

def for_reg(str):
    return str.replace('/', '\\/').replace('.', '\\.')

def get_path(r, a):
    n = re.findall('\.\.\/', r)
    if n is None:
        return n
    n = len(n)
    for i in range(n):
        p = a.rfind('/')
        a = a[0:p]
    return a + '/' + re.sub('\.\.\/', '', r)

def main():
    tmp = sys.argv[1]
    path = sys.argv[2]
    tmpa = tmp.split(':')
    line = tmpa[0].strip()
    tmpa.remove(tmpa[0])
    rts = ''
    for image in tmpa:
        if ( image.startswith('../') ):
            rt = get_path(image, path)        
        elif ( image.startswith('./') ):
            rt = re.sub('^\.', path, image)
        else:
            continue
        rts = rts + 's/' + for_reg(image) + '/' + for_reg(rt) + '/g;'
    print line + '{' + rts + '}'

main()
